[package]
name = "sampler"
version = "0.1.0"
authors = ["Johann Woelper <woelper@gmail.com>"]
edition = "2018"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html


[dependencies]
rodio = "*"
imgui = "*"
log = "*"
env_logger = "*"
walkdir = "*"
image = "0.23"
serde = "*"
serde_derive = "*"
serde_json = "*"


# GFX / OPENGL
gfx = "0.18"
gfx_device_gl = "0.16"
gfx_window_glutin = "0.31"
glutin = "0.21"
imgui-winit-support = { default-features = false, features = ["winit-19"] }
imgui-gfx-renderer = "*"


# GLIUM - DISABLE UNTIL THIS WORKS WITH RODIO
# glium = { version = "0.26", default-features = true }
# imgui-glium-renderer = "*"
# imgui-winit-support = "*"